package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * = 2 的时候必须双人验证
 *
 * @author ReiChin_
 */
public class ClassifyConfig implements Parcelable {

    public String id;
    public String joinClassifyId; // 关联分类Id
    public String joinStatus; // 化学品入库状态 1-是 2-否
    public String outStatus; // 化学品出库状态 1-是 2-否
    public String collectStatus; // 化学品领用状态 1-是 2-否
    public String returnStatus; // 化学品归还状态 1-是 2-否

    public ClassifyConfig() {
    }

    protected ClassifyConfig(Parcel in) {
        id = in.readString();
        joinClassifyId = in.readString();
        joinStatus = in.readString();
        outStatus = in.readString();
        collectStatus = in.readString();
        returnStatus = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(joinClassifyId);
        dest.writeString(joinStatus);
        dest.writeString(outStatus);
        dest.writeString(collectStatus);
        dest.writeString(returnStatus);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<ClassifyConfig> CREATOR = new Creator<ClassifyConfig>() {
        @Override
        public ClassifyConfig createFromParcel(Parcel in) {
            return new ClassifyConfig(in);
        }

        @Override
        public ClassifyConfig[] newArray(int size) {
            return new ClassifyConfig[size];
        }
    };
}
